GET
/api/v1/kubernetes/worker-plans/
curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/kubernetes/worker-plans/?project_id=<PROJECT_ID>&apikey=<API_KEY>&location=<LOCATION>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/kubernetes/worker-plans/", params={"project_id": "<PROJECT_ID>", "apikey": "<API_KEY>", "location": "<LOCATION>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/kubernetes/worker-plans/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", apikey: "<API_KEY>", location: "<LOCATION>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Returns the compute plans (SKUs) available for worker nodes in the region, with each plan’s OS image, specs (vCPU, RAM, disk), pricing, and committed-pricing options. Use a plan’s specs.id as sku_id and its plan string as slug_name when defining a node pool.
Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”project_id
required
integer
Identifier of the project to scope the request to. Required integer project ID.
Example
<PROJECT_ID>apikey
required
string
API key used to authenticate the request.
Example
<API_KEY>location
required
string
Region whose plans and pricing should be returned.
Example
<LOCATION>Responses
Section titled “Responses”Successful response
Media typeapplication/json
object
code
integer
data
Available worker node plans.
Array<object>
object
name
string
plan
string
image
string
os
object
name
string
version
string
category
string
location
string
specs
object
id
SKU ID - use as sku_id in a node pool.
string
sku_name
string
ram
string
cpu
integer
disk_space
integer
price_per_month
number
price_per_hour
number
currency
string
errors
object
message
string
Example
{ "code": 200, "data": [ { "name": "C3.96GB", "plan": "C3-24vCPU-96RAM-600DISK-C3.96GB - CentOS-Stream-Delhi", "image": "CentOS-Stream-Distro", "os": { "name": "CentOS", "version": "Stream", "category": "CentOS" }, "location": "Delhi", "specs": { "id": "1088", "sku_name": "C3.96GB", "ram": "96.00", "cpu": 24, "disk_space": 600, "price_per_month": 27156, "price_per_hour": 37.2 }, "currency": "INR" } ], "message": "Success"}